//
//  Lun3DM4 Shaders -- 04.15.03
//  Feel free to modify and use.  
//
//       #####   ####      ##   #  ####  ######
//       ##   # ##   #     ###  # ##   #   ##
//       ##   # ##   #     ## # # ##   #   ##
//       ##   # ##   #     ##  ## ##   #   ##
//       #####   ####      ##   #  ####    ##
//	 RELEASE A MAP USING LUN3DM4 TEXTURES WITHOUT
//	PUTTING THEM IN A NEW TEXTURE DIRECTORY FIRST. 
//
//  Every time I say this someone manages to release
// a map that screws up mine because they didn't keep
//	 their shit out of textures/lun3dm#.  I mean
//					  you, Kona.  Yeah.
//
//

textures/lun3dm4/crow1a
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	qer_editorimage textures/lun3dm4/crow1.tga
//	deformVertexes move 1 0.6 0.5 sin 0 48 0 0.042
	{
		map textures/lun3dm4/crow1.tga
		rgbGen identity
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/lun3dm4/crow2a
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	qer_editorimage textures/lun3dm4/crow1.tga
	deformVertexes move 1 0.3 0.5 sin 0 72 0 0.08
	  	{
		map textures/lun3dm4/crow1.tga
		rgbGen identity
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/lun3dm4/nubiansky2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 .9 .8 30 300 60
	q3map_surfacelight 50
	qer_editorimage textures/lun3dm4/nubian5.tga
	skyparms env/lun4 768 -
	{
		map textures/lun3dm4/nubian5.tga
		tcMod scale 4 4
		tcMod scroll 0.05 0.05
		blendFunc GL_ONE GL_ONE
	}
}

//                         \\
// --   Bouncy Bouncy   -- \\
//                         \\

textures/lun3dm4/fan2
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		clampmap textures/lun3dm4/fan2.tga
		tcMod rotate 512 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen identity


	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/lun3dm4/jump1
{
	q3map_lightimage textures/lun3dm4/jump1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		clampmap textures/lun3dm4/jump1fx.tga
		rgbGen identity
		tcMod stretch sawtooth 0.2 1.5 0 1
	}
	{
		clampmap textures/lun3dm4/jump1fx.tga
		rgbGen identity
		tcMod stretch sawtooth 0.2 1.5 0.5 1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/lun3dm4/jump1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


//                       \\
// --   Alpha Texes   -- \\
//                       \\

textures/lun3dm4/protograte1a
{
	qer_editorimage textures/lun3dm4/protograte1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/lun3dm4/protograte1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/lun3dm4/protograte2a
{
	qer_editorimage textures/lun3dm4/protograte2.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/lun3dm4/protograte2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/lun3dm4/protograte3a
{
	qer_editorimage textures/lun3dm4/protograte3.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/lun3dm4/protograte3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//                  \\
// --   Floors   -- \\
//                  \\

textures/lun3dm4/clangfloor1
{
	surfaceparm metalsteps
	{
		map textures/lun3dm4/clangfloor1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/lun3dm4/clangfloor1stripe
{
	surfaceparm metalsteps
	{
		map textures/lun3dm4/clangfloor1stripe.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/lun3dm4/clangfloor2
{
	surfaceparm metalsteps
	{
		map textures/lun3dm4/clangfloor2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/lun3dm4/clangfloor2shiny
{
	surfaceparm metalsteps
	qer_editorimage textures/lun3dm4/clangfloor2.tga
	{
		map textures/lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm4/clangfloor2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/lun3dm4/clangfloor3bloodshiny
{	
	surfaceparm metalsteps
	qer_editorimage textures/lun3dm4/clangfloor3blood.tga
	{
		map textures/lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm4/clangfloor3blood.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/lun3dm4/clangfloor4
{
	surfaceparm metalsteps
	{
		map textures/lun3dm4/clangfloor4.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/lun3dm4/clangfloor4shiny
{
	surfaceparm metalsteps
	qer_editorimage textures/lun3dm4/clangfloor4.tga
	{
		map textures/lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm4/clangfloor4.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/lun3dm4/cstonefloor1bloodshiny
{	
	surfaceparm metalsteps
	qer_editorimage textures/lun3dm4/cstonefloor1blood.tga
	{

		map textures/lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm4/cstonefloor1blood.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//                     \\
// --   Computers   -- \\
//                     \\

textures/lun3dm4/q1comp4
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/q1comp4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/q1comp4glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 0.2 0 0.1
	}
}

textures/lun3dm4/q1comp6a
{
	qer_editorimage textures/lun3dm4/q1comp6.tga
	{
		map textures/lun3dm4/q1comp6fx01.tga
		rgbGen identity
		tcMod scroll 0 -0.15
	}
	{
		map textures/lun3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lun3dm4/q1comp6b
{
	qer_editorimage textures/lun3dm4/q1comp6.tga
	{
		map textures/lun3dm4/q1comp6fx02.tga
		rgbGen identity
	}
	{
		map textures/lun3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lun3dm4/q1comp6c
{
	qer_editorimage textures/lun3dm4/q1comp6.tga
	{
		map textures/lun3dm4/q1comp6fx03.tga
		rgbGen identity
	}
	{
		map textures/lun3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lun3dm4/q1comp6d
{
	qer_editorimage textures/lun3dm4/q1comp6.tga
	{
		map textures/lun3dm4/q1comp6fx04.tga
		rgbGen identity
	}
	{
		map textures/lun3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lun3dm4/q1comp6e
{
	qer_editorimage textures/lun3dm4/q1comp6.tga
	{
		map textures/lun3dm4/q1comp6fx05a.tga
		rgbGen identity
		tcmod scale 1 1.5
		tcmod scroll 0 -1
	}
	{
		map textures/lun3dm4/q1comp6fx05b.tga
		rgbGen identity
		tcmod scroll -3 -5
		tcmod rotate 180
		tcmod scale 1 -1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/lun3dm4/q1comp6fx05b.tga
		tcmod scroll 2 7
		tcmod rotate -270
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


//                      \\
// --  Shiny Panels  -- \\
//                      \\

textures/lun3dm4/pan4ashiny
{
	qer_editorimage textures/lun3dm4/pan4a.tga
	{
		map textures/lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity

	}
	{
		map textures/lun3dm4/pan4a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/lun3dm4/pan4bshiny
{
	qer_editorimage textures/lun3dm4/pan4b.tga
	{
		map textures/lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm4/pan4b.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//                     \\
// --  Death Metal  -- \\
//                     \\

textures/lun3dm4/wmetal1shiny
{
	qer_editorimage textures/lun3dm4/wmetal1.tga
	{
		map textures/csforce_sfx/alaskafx3b.tga
		tcGen environment
	}
	{
		map textures/lun3dm4/wmetal1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lun3dm4/wmetal2shiny
{
	qer_editorimage textures/lun3dm4/wmetal2.tga
	{
		map textures/csforce_sfx/alaskafx3b.tga
		tcGen environment
	}
	{
		map textures/lun3dm4/wmetal2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lun3dm4/wmetal3shiny
{
	qer_editorimage textures/lun3dm4/wmetal3.tga
	{
		map textures/csforce_sfx/alaskafx3b.tga
		tcGen environment
	}
	{
		map textures/lun3dm4/wmetal3.tga
		blendFunc GL_ONE GL_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


//              \\
// -- Panels -- \\
//              \\

textures/lun3dm4/zinc_lite1
{
	q3map_lightimage textures/lun3dm4/sup_lite1fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/zinc_lite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/sup_lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/lun3dm4/zinc_lite2
{
	q3map_lightimage textures/lun3dm4/sup_lite2fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/zinc_lite2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/sup_lite2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/lun3dm4/zinc_lite3
{
	q3map_lightimage textures/lun3dm4/sup_lite3fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/zinc_lite3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/sup_lite3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/lun3dm4/zinc_lite4
{
	q3map_lightimage textures/lun3dm4/zinc_lite4fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/zinc_lite4.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/zinc_lite4fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

//                             \\
// --  Triangular BalLites  -- \\
//                             \\

textures/lun3dm4/trilite1_500
{
	qer_editorimage textures/lun3dm4/trilite1.tga
	q3map_lightimage textures/lun3dm4/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/lun3dm4/trilite1_1000
{
	qer_editorimage textures/lun3dm4/trilite1.tga
	q3map_lightimage textures/lun3dm4/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/lun3dm4/trilite1_2000
{
	qer_editorimage textures/lun3dm4/trilite1.tga
	q3map_lightimage textures/lun3dm4/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/lun3dm4/trilite1_3500
{
	qer_editorimage textures/lun3dm4/trilite1.tga
	q3map_lightimage textures/lun3dm4/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

//                     \\
// --  Lite Panels  -- \\
//                     \\

textures/lun3dm4/litpan1_flik
{
	qer_editorimage textures/lun3dm4/litpan1.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 180 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/lun3dm4/litpan1_500
{
	qer_editorimage textures/lun3dm4/litpan1.tga
	q3map_lightimage textures/lun3dm4/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan1_1000
{
	qer_editorimage textures/lun3dm4/litpan1.tga
	q3map_lightimage textures/lun3dm4/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan1_2000
{
	qer_editorimage textures/lun3dm4/litpan1.tga
	q3map_lightimage textures/lun3dm4/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan1_3500
{
	qer_editorimage textures/lun3dm4/litpan1.tga
	q3map_lightimage textures/lun3dm4/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan2_flik2
{
	qer_editorimage textures/lun3dm4/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.4 1.2 450 8
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/lun3dm4/litpan2_flik3
{
	qer_editorimage textures/lun3dm4/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 1800 6
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/lun3dm4/litpan2_flik
{
	qer_editorimage textures/lun3dm4/litpan2.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 45 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/lun3dm4/litpan2_500
{
	qer_editorimage textures/lun3dm4/litpan2.tga
	q3map_lightimage textures/lun3dm4/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan2_1000
{
	qer_editorimage textures/lun3dm4/litpan2.tga
	q3map_lightimage textures/lun3dm4/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan2_2000
{
	qer_editorimage textures/lun3dm4/litpan2.tga
	q3map_lightimage textures/lun3dm4/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity

	}
	{

		map textures/lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan2_3500
{
	qer_editorimage textures/lun3dm4/litpan2.tga
	q3map_lightimage textures/lun3dm4/litpan2fx.tga

	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan3_flik
{
	qer_editorimage textures/lun3dm4/litpan3.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 90 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
	}
}

textures/lun3dm4/litpan3_500
{
	qer_editorimage textures/lun3dm4/litpan3.tga
	q3map_lightimage textures/lun3dm4/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan3_1000
{
	qer_editorimage textures/lun3dm4/litpan3.tga
	q3map_lightimage textures/lun3dm4/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan3_2000
{
	qer_editorimage textures/lun3dm4/litpan3.tga
	q3map_lightimage textures/lun3dm4/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/lun3dm4/litpan3_3500
{
	qer_editorimage textures/lun3dm4/litpan3.tga
	q3map_lightimage textures/lun3dm4/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500

	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}


//					 \\
// --  Goth1s  -- \\
//					 \\

textures/lun3dm4/goth1_500
{
	qer_editorimage textures/lun3dm4/goth1.tga

	q3map_lightimage textures/lun3dm4/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

textures/lun3dm4/goth1_1000
{
	qer_editorimage textures/lun3dm4/goth1.tga


	q3map_lightimage textures/lun3dm4/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

textures/lun3dm4/goth1_2000
{
	qer_editorimage textures/lun3dm4/goth1.tga
	q3map_lightimage textures/lun3dm4/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

textures/lun3dm4/goth1_3500
{
	qer_editorimage textures/lun3dm4/goth1.tga
	q3map_lightimage textures/lun3dm4/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm4/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
	}
}

//                  \\
// --   Protos   -- \\
//                  \\

textures/lun3dm4/proto1_1000
{
	qer_editorimage textures/lun3dm4/proto1.tga
	q3map_lightimage textures/lun3dm4/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO

		rgbGen identity
	}
	{	
		map textures/lun3dm4/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/lun3dm4/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

textures/lun3dm4/proto1_500
{
	qer_editorimage textures/lun3dm4/proto1.tga
	q3map_lightimage textures/lun3dm4/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/lun3dm4/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/lun3dm4/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

textures/lun3dm4/proto1_2000
{
	qer_editorimage textures/lun3dm4/proto1.tga
	q3map_lightimage textures/lun3dm4/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/lun3dm4/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/lun3dm4/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

textures/lun3dm4/proto1_3000
{
	qer_editorimage textures/lun3dm4/proto1.tga
	q3map_lightimage textures/lun3dm4/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/lun3dm4/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
	}
	{	
		map textures/lun3dm4/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
	}
}

//              \\
// -- Ceil11 -- \\
//              \\

textures/lun3dm4/ceil11
{
	qer_editorimage textures/lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil11_1k
{
	qer_editorimage textures/lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil11_2500
{
	qer_editorimage textures/lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil11_5k
{
	qer_editorimage textures/lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil11_10k

{
	qer_editorimage textures/lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil11_20k
{
	qer_editorimage textures/lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}

}

textures/lun3dm4/ceil11_30k
{
	qer_editorimage textures/lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//              \\
// -- ceil12 -- \\
//              \\

textures/lun3dm4/ceil12
{
	qer_editorimage textures/lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil12_1k
{
	qer_editorimage textures/lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil12_2500
{
	qer_editorimage textures/lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity

	}
	{
		map textures/lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil12_5k
{
	qer_editorimage textures/lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil12_10k
{
	qer_editorimage textures/lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil12_20k
{
	qer_editorimage textures/lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil12_30k
{
	qer_editorimage textures/lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO

		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//              \\
// -- ceil15 -- \\
//              \\

textures/lun3dm4/ceil15
{
		qer_editorimage textures/lun3dm4/ceil15.tga
	q3map_lightimage textures/lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/lun3dm4/ceil15_1k
{
		qer_editorimage textures/lun3dm4/ceil15.tga
	q3map_lightimage textures/lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil15_2500
{
		qer_editorimage textures/lun3dm4/ceil15.tga
	q3map_lightimage textures/lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil15_5k
{
		qer_editorimage textures/lun3dm4/ceil15.tga
	q3map_lightimage textures/lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15fx.tga

		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil15_10k
{
		qer_editorimage textures/lun3dm4/ceil15.tga
	q3map_lightimage textures/lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity

	}
	{
		map textures/lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil15_20k
{
		qer_editorimage textures/lun3dm4/ceil15.tga
	q3map_lightimage textures/lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil15_30k

{
		qer_editorimage textures/lun3dm4/ceil15.tga
	q3map_lightimage textures/lun3dm4/ceil15fx.tga


	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//              \\
// -- ceil16 -- \\
//              \\

textures/lun3dm4/ceil16
{
		qer_editorimage textures/lun3dm4/ceil16.tga
	q3map_lightimage textures/lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil16_1k
{
		qer_editorimage textures/lun3dm4/ceil16.tga
	q3map_lightimage textures/lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil16_2500
{
	qer_editorimage textures/lun3dm4/ceil16.tga
	q3map_lightimage textures/lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil16_5k
{
		qer_editorimage textures/lun3dm4/ceil16.tga
	q3map_lightimage textures/lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil16_10k
{
		qer_editorimage textures/lun3dm4/ceil16.tga
	q3map_lightimage textures/lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/lun3dm4/ceil16_20k
{
		qer_editorimage textures/lun3dm4/ceil16.tga
	q3map_lightimage textures/lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/lun3dm4/ceil16_30k
{
		qer_editorimage textures/lun3dm4/ceil16.tga
	q3map_lightimage textures/lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity

	}
	{
		map textures/lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
	}
}

//                \\
// -- Slipgate -- \\
//                \\

textures/lun3dm4/jump2
{
	q3map_lightimage textures/lun3dm4/jump2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map textures/lun3dm4/jump2fx.tga
		rgbGen identity
		tcMod scroll 0 1
	}
	{
		map textures/lun3dm4/jump2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lun3dm4/slipgate
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_globaltexture
	qer_editorimage textures/lun3dm4/slip2.tga
	tessSize 32
//	deformVertexes normal 1 0
//	deformvertexes normal 64 sine 2 0.1
//	deformVertexes wave 64 sine 0 0.5 0 0.2
//	DAMN!
	{
		map textures/lun3dm4/slip2.tga
		tcMod turb 0 0.5 0 0.2 // I'll take what I can get ... unfortunately, I could have had better ...
		tcMod scale 0.25 0.25
	}
	{
		map textures/lun3dm4/slip2.tga
		tcMod turb 0 0.5 0.3 0.2
		tcMod scale 0.5 0.5
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/lun3dm4/slip1.tga
		tcMod turb 0 1 0 4
		tcMod scale 0.25 0.25
		tcmod scroll .2 -.2
		blendFunc GL_DST_COLOR GL_ZERO
	}

}
